"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const formidable_1 = require("formidable");
function bodyParser(request, response, next) {
    if (request.method !== 'POST')
        return next();
    let form = new formidable_1.IncomingForm();
    form.maxFields = 500;
    form.maxFieldsSize = 2 * 1024 * 1024;
    form.parse(request, (err, fields) => {
        if (err)
            throw err;
        request.body = fields;
        next();
    });
}
exports.bodyParser = bodyParser;
