## RESTful API framework
### Lightweight framework for building RESTful APIs in NodeJS

**Configuration variables**
- **`name`** *[string]*  Currently not in use
- **`serverName`** *[string]* 'server' header value
- **`enableSecurityHeaders`** *[boolean]*, Default: true
- **`port`** *[number]* API server port
- **`cors`** *[object]* Object where you can set the cors information like `maxAge, origin, credentials`

**Route**
- **`method`** *[string]* Request method
- **`path`** *[string]* Path name, variables in path should start with colon **:** `(ex. /path/:id)`
- **`middleware`** *[function || array of functions]* Single middleware function or array of a middleware functions
- **`service`** *[function]* Route controller
